Go to the latest version of this document.

# ``twisted`.`internet`.`interfaces`.`IAcceptableCiphers``

interface documentation

`class IAcceptableCiphers(Interface): (source)`

Known implementations: `twisted.internet.ssl.AcceptableCiphers`

View In Hierarchy

A list of acceptable ciphers for a TLS context.

Method | `selectCiphers` | Choose which ciphers to allow to be negotiated on a TLS connection.

def selectCiphers(availableCiphers: `tuple[ICipher]`) -> `tuple[ICipher]`: (source)

Choose which ciphers to allow to be negotiated on a TLS connection.

Parameters
availableCiphers:`tuple[ICipher]` | A `tuple` of `ICipher` which gives the names of all ciphers supported by the TLS implementation in use.

Returns
`tuple[ICipher]` | A `tuple` of `ICipher` which represents the ciphers which may be negotiated on the TLS connection. The result is ordered by preference with more preferred ciphers appearing earlier.